<html>
<head>
<title>OgreSearchOps.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreSearchOps.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreSearchOps_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __SearchOps_H_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __SearchOps_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="comment">// Emulate _findfirst, _findnext on non-Windows platforms</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#include &lt;string.h&gt;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &lt;sys/types.h&gt;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &lt;sys/stat.h&gt;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgrePlatform_8h.html">OgrePlatform.h</a>&quot;</span>
<a name="l00041"></a>00041 
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="preprocessor">#if OGRE_PLATFORM != OGRE_PLATFORM_WIN32</span>
<a name="l00044"></a>00044 <span class="preprocessor"></span>
<a name="l00045"></a>00045 <span class="preprocessor">#include &lt;dirent.h&gt;</span>
<a name="l00046"></a>00046 <span class="preprocessor">#include &lt;unistd.h&gt;</span>
<a name="l00047"></a>00047 <span class="preprocessor">#if OGRE_PLATFORM != OGRE_PLATFORM_SYMBIAN</span>
<a name="l00048"></a>00048 <span class="preprocessor"></span><span class="preprocessor">#include &lt;fnmatch.h&gt;</span>
<a name="l00049"></a>00049 <span class="preprocessor">#endif</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span>
<a name="l00051"></a>00051 <span class="comment">/* Our simplified data entry structure */</span>
<a name="l00052"></a><a class="code" href="struct__finddata__t.html">00052</a> <span class="keyword">struct </span><a class="code" href="struct__finddata__t.html">_finddata_t</a>
<a name="l00053"></a>00053 {
<a name="l00054"></a><a class="code" href="struct__finddata__t.html#aa8b6c8443328752952e99f366254a6f8">00054</a>     <span class="keywordtype">char</span> *<a class="code" href="struct__finddata__t.html#aa8b6c8443328752952e99f366254a6f8">name</a>;
<a name="l00055"></a><a class="code" href="struct__finddata__t.html#a4a50f070b61c49cc821864fa6bb7b599">00055</a>     <span class="keywordtype">int</span> <a class="code" href="struct__finddata__t.html#a4a50f070b61c49cc821864fa6bb7b599">attrib</a>;
<a name="l00056"></a><a class="code" href="struct__finddata__t.html#aacf50a90e0fa143ce6ff22628b8c58aa">00056</a>     <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="struct__finddata__t.html#aacf50a90e0fa143ce6ff22628b8c58aa">size</a>;
<a name="l00057"></a>00057 };
<a name="l00058"></a>00058 
<a name="l00059"></a>00059 <span class="preprocessor">#if OGRE_PLATFORM != OGRE_PLATFORM_SYMBIAN</span>
<a name="l00060"></a><a class="code" href="OgreSearchOps_8h.html#a4ef846a85ddb694043d288b6746a9876">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define _A_NORMAL 0x00  </span><span class="comment">/* Normalfile-Noread/writerestrictions */</span>
<a name="l00061"></a><a class="code" href="OgreSearchOps_8h.html#a627d0ba73ada4393b872e041bee960b4">00061</a> <span class="preprocessor">#define _A_RDONLY 0x01  </span><span class="comment">/* Read only file */</span>
<a name="l00062"></a><a class="code" href="OgreSearchOps_8h.html#a323473f813bf2bc807c912831011c58e">00062</a> <span class="preprocessor">#define _A_HIDDEN 0x02  </span><span class="comment">/* Hidden file */</span>
<a name="l00063"></a><a class="code" href="OgreSearchOps_8h.html#ad73476fd833652008c0d73896c8f9d5a">00063</a> <span class="preprocessor">#define _A_SYSTEM 0x04  </span><span class="comment">/* System file */</span>
<a name="l00064"></a><a class="code" href="OgreSearchOps_8h.html#a2a05b90a3f8ec8a95a0b8cb11bb3fecc">00064</a> <span class="preprocessor">#define _A_ARCH   0x20  </span><span class="comment">/* Archive file */</span>
<a name="l00065"></a>00065 <span class="preprocessor">#endif</span>
<a name="l00066"></a><a class="code" href="OgreSearchOps_8h.html#a4a81752270bddedb014a705edc23a48b">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define _A_SUBDIR 0x10  </span><span class="comment">/* Subdirectory */</span>
<a name="l00067"></a>00067 
<a name="l00068"></a>00068 intptr_t <a class="code" href="OgreSearchOps_8h.html#ad6e6e684d0f4464fab567dea1f33a8e0">_findfirst</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *pattern, <span class="keyword">struct</span> <a class="code" href="struct__finddata__t.html">_finddata_t</a> *data);
<a name="l00069"></a>00069 <span class="keywordtype">int</span> <a class="code" href="OgreSearchOps_8h.html#a59e54b8a47a88148f01e0ef9ab742f7c">_findnext</a>(intptr_t <span class="keywordtype">id</span>, <span class="keyword">struct</span> <a class="code" href="struct__finddata__t.html">_finddata_t</a> *data);
<a name="l00070"></a>00070 <span class="keywordtype">int</span> <a class="code" href="OgreSearchOps_8h.html#a4b3730431331a9d8053887e75107e430">_findclose</a>(intptr_t <span class="keywordtype">id</span>);
<a name="l00071"></a>00071 
<a name="l00072"></a>00072 <span class="preprocessor">#endif</span>
<a name="l00073"></a>00073 <span class="preprocessor"></span>
<a name="l00074"></a>00074 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
